# YarnLinesAsCanvasText

Class in [Yarn.Unity](/2.0/api/csharp/yarn.unity.md)

Inherits from `MonoBehaviour`

## Summary

Shows Yarn lines on Canvas Text components.

```csharp
public class YarnLinesAsCanvasText : MonoBehaviour
```

## Classes

| Name                                                                                                                                             | Description |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| [StringObjectDictionary](/2.0/api/csharp/yarn.unity/yarn.unity.yarnlinesascanvastext/yarn.unity.yarnlinesascanvastext.stringobjectdictionary.md) |             |

## Fields

| Name                                                                                                                             | Description |
| -------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [stringsToViews](/2.0/api/csharp/yarn.unity/yarn.unity.yarnlinesascanvastext/yarn.unity.yarnlinesascanvastext.stringstoviews.md) |             |
| [yarnProject](/2.0/api/csharp/yarn.unity/yarn.unity.yarnlinesascanvastext/yarn.unity.yarnlinesascanvastext.yarnproject.md)       |             |

## Methods

| Name                                                                                                                                                                 | Description                                                                                           |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [OnTextLanguagePreferenceChanged()](/2.0/api/csharp/yarn.unity/yarn.unity.yarnlinesascanvastext/yarn.unity.yarnlinesascanvastext.ontextlanguagepreferencechanged.md) | Reload the string table and update the UI elements. Useful if the languages preferences were changed. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.0/api/csharp/yarn.unity/yarn.unity.yarnlinesascanvastext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
